#include "mv.hh"

// initialize structure to a vector of size 0
void
Vec::Initialize() {
  _size  = 0 ;
  values = nullptr ;
}

// alocate a vector to teh size: size
void
Vec::Allocate( int size ) {
  _size = size ;
  // check if alreay allocated
  if ( values != nullptr ) delete [] values ;
  values = new double[_size] ;
}

void
Vec::Fill( double val ) {
  for ( int i = 0 ; i < _size ; ++i )
    values[i] = val ;
}

void
Vec::Free( ) {
  // check if alreay de-allocated
  if ( values != nullptr ) delete [] values ;
  _size = 0 ;
}

